/*
 *  Java Napster version x.yz (for current version number as well as for
 *  additional information see version.txt)
 *
 *  Previous versions of this program were written by Florian Student
 *  and Michael Ransburg available at www.weblicity.de/jnapster and
 *  http://www.tux.org/~daneel/content/projects/10.shtml respectively.
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package xnap.gui;

import javax.swing.*;

public abstract class AbstractSaveablePanel extends JPanel {
    
    //--- Constructor(s) ---

    public AbstractSaveablePanel()
    {
    }

    //--- Method(s) ---
    
    public String getDescription()
    {
	return null;
    }

    /**
     * Returns an icon.
     *
     * @see xnap.gui.WizardDialog
     */
    public Icon getIcon()
    {
	return null;
    }

    public String getTitle()
    {
	return "";
    }

    /** 
     * Apply changes.
     */
    public abstract void apply();

    /**
     * Called before panel is closed.
     */
    public boolean canClose()
    {
	return true;
    }

    /**
     * Called when the panel is closed.
     */
    public void close()
    {
    }

    /**
     * Save changes.
     */
    public void save()
    {
	apply();
    }

}

