/*
 *  XNap
 *
 *  A pure java file sharing client.
 *
 *  See AUTHORS for copyright information.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package xnap.gui.event;

import xnap.util.*;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;

/**
 * 
 */
public class DoubleClickListener extends MouseAdapter {
    
    // --- Data Field(s) ---

    private AbstractAction ac;
    private JTable jta;

    // --- Constructor(s) ---

    public DoubleClickListener(AbstractAction ac, JTable jta)
    {
	this.ac = ac;
	this.jta = jta;
    }

    // --- Method(s) ---

    public void mousePressed(MouseEvent e) 
    {
	if (e.getClickCount() == 2) {
	    int row = jta.rowAtPoint(e.getPoint());
	    if(row > -1) {
		jta.getSelectionModel().setSelectionInterval(row, row);
		ac.actionPerformed(new ActionEvent(jta, 0, ""));
            }
        }
    }
    
}

