/*
 *  XNap
 *
 *  A pure java file sharing client.
 *
 *  See AUTHORS for copyright information.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package xnap.gui.table;

import xnap.XNap;
import xnap.util.Formatter;

import javax.swing.table.DefaultTableCellRenderer;

public class FilesizeCellRenderer extends DefaultTableCellRenderer {

    //--- Data Field(s) ---

    //--- Constructor(s) ---

    public FilesizeCellRenderer() 
    {
	setHorizontalAlignment(javax.swing.SwingConstants.RIGHT);
    }

    //--- Method(s) ---

    public void setValue(Object value) 
    {
	setToolTipText(Formatter.formatNumber(value, 0) 
		       + XNap.tr("bytes", 1, 0));
	value = Formatter.formatSize(value);

	super.setValue(value);
    } 
} 
