/*
 *  XNap
 *
 *  A pure java file sharing client.
 *
 *  See AUTHORS for copyright information.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package xnap.io;

import xnap.util.FileHelper;

import java.io.File;

/**
 *
 */
public class FileHandler
{
    //--- Constant(s) ---

    //--- Data field(s) ---

    //--- Constructor(s) ---

    //--- Method(s) ---
    
    public static RepositoryFile handle(File f, boolean parse)
    {
	RepositoryFile file;
	String ext = FileHelper.extension(f.getName());
	
	if (ext.equals("mp3")) {
	    file = new MP3File(f);
	}
	else if (ext.equals("avi") || ext.equals("mpg") || ext.equals("mpeg") 
		 || ext.equals("asf")) {
	    file = new VideoFile(f);
	}
	else {
	    file = new RepositoryFile(f);
	}
	
	if (parse) {
	    file.parse();
	}

	return file;
    }

}
