/*
 *  XNap
 *
 *  A pure java file sharing client.
 *
 *  See AUTHORS for copyright information.
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package xnap.plugin.gift.net.event;

/**
 * SharesControlEvent
 *
 * @author <a href="mailto:tvanlessen@taval.de">Tammo van Lessen</a>
 * @version CVS $Id: SharesControlEvent.java,v 1.2 2003/01/16 01:48:15 taval Exp $
 */
public class SharesControlEvent extends ControlEvent {
    //~ Static fields/initializers ---------------------------------------------

    public static final int SYNC_STARTED = 2;
    public static final int SYNC_FINISHED = 3;
    public static final int SYNC_STATUS = 3;
    public static final String[] ACTIONS = {
        "started", "finished", "sync_started", "sync_finished"
    };

    //~ Constructors -----------------------------------------------------------

    /**
     * Constructor for SharesControlEvent.
     *
     * @param action
     */
    public SharesControlEvent(int action) {
        super(action);
    }
}
