/*
 *  Java Napster version x.yz (for current version number as well as for
 *  additional information see version.txt)
 *
 *  Previous versions of this program were written by Florian Student
 *  and Michael Ransburg available at www.weblicity.de/jnapster and
 *  http://www.tux.org/~daneel/content/projects/10.shtml respectively.
 *
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 */
package xnap.plugin.nap.net;

import xnap.net.*;
import xnap.plugin.nap.Plugin;
import xnap.util.*;

import java.util.*;

/**
 * Immutable.
 */
public class SearchResult extends AbstractSearchResult {

    //--- Data field(s) ---

    //--- Constructor(s) ---

    public SearchResult(long size, int bitrate, int frequency, int length, 
			User user, String filename, String md5) 
    {
	super(size, bitrate, frequency, length, user, filename, md5, 
	      Plugin.getInstance());
    }

    
    //--- Method(s) ---

    public IDownload getDownload()
    {
	return new Download(this);
    }

    public String[] getPath()
    {
	StringTokenizer t = new StringTokenizer(filename, "\\");
	if (t.countTokens() > 1) {
	    String[] path = new String[t.countTokens() - 1];
	    for (int i = 0; i < path.length; i++) {
		path[i] = t.nextToken();
	    }

	    return path;
	}
	else {
	    return null;
	}
    }

    public String getSource()
    {
	return "OpenNap";
    }

    public String getShortFilename() 
    {
        return filename.substring(filename.lastIndexOf("\\") + 1);
    }

    public User getNapUser()
    {
	return (User)user;
    }

    /**
     * This is needed for the SlavaNap hack and called directly after
     * instantiation.
     */
    void setScore(int newValue) 
    {
	score = newValue;
    }

}
